kr.co.hanwha.hifive.admin.admin.adapter.viewholder

## Class AdminMemberListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.admin.admin.adapter.viewholder.AdminMemberListViewHolder

-     public class AdminMemberListViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 3. 9..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.widget.ImageView` | `mImageViewDot`
    `private android.widget.ImageView` | `mImageViewSender`
    `private AdminMemberListAdapter.OnAdminMemberListListener` | `mOnAdminMemberListListener`
    `private java.lang.String` | `mSearchWord`
    `private android.widget.TextView` | `mTextViewDate`
    `private android.widget.TextView` | `mTextViewMessage`
    `private android.widget.TextView` | `mTextViewStatus`
    `private android.widget.TextView` | `mTextViewTitle`
    `private android.view.View` | `mViewUnderline`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminMemberListViewHolder(android.view.ViewGroup viewGroup, AdminMemberListAdapter.OnAdminMemberListListener onAdminMemberListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`
    `void` | `setSearchWord(java.lang.String searchWord)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mImageViewDot

          private android.widget.ImageView mImageViewDot

    - #### mImageViewSender

          private android.widget.ImageView mImageViewSender

    - #### mTextViewTitle

          private android.widget.TextView mTextViewTitle

    - #### mTextViewMessage

          private android.widget.TextView mTextViewMessage

    - #### mTextViewDate

          private android.widget.TextView mTextViewDate

    - #### mTextViewStatus

          private android.widget.TextView mTextViewStatus

    - #### mViewUnderline

          private android.view.View mViewUnderline

    - #### mSearchWord

          private java.lang.String mSearchWord

    - #### mOnAdminMemberListListener

          private AdminMemberListAdapter.OnAdminMemberListListener mOnAdminMemberListListener

  - ### Constructor Detail

    - #### AdminMemberListViewHolder

          public AdminMemberListViewHolder(@NonNull
                                           android.view.ViewGroup viewGroup,
                                           AdminMemberListAdapter.OnAdminMemberListListener onAdminMemberListListener)

  - ### Method Detail

    - #### setSearchWord

          public void setSearchWord(java.lang.String searchWord)

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`